Skip to content

List Bank VA

| View as Markdown

One or more Banks can be assigned to a virtual account for accepting payments. This API will list all active banks assigned to a particular virtual account. We must pass merchant id, virtual account no and UID in request, then bank details like bank id, bank name, account no, ifsc code will be displayed of all the banks.

https://kraken.airpay.co.in/airpay/va/api/
ParameterType ValueDescriptionValue Like
Content-Type requiredStringapplication/x-www-form-urlencoded
ParameterType ValueDescriptionValue Like
action requiredStringAction to perform - banksbanks
private_key requiredAlphanumericPrivate Key (length 10-200)
hash(‘sha256’, @secretkey:username
:password)
merchant_id requiredNumericMerchant Id1
virtual_account_number requiredNumericVirtual account number or UID Unique user identifier from the merchant is required2293640000000010242
UID requiredNumericVirtual account number or UID Unique user identifier from the merchant is required
checksum requiredAlphanumericHash generated by : sha1(virtual_account_number.UID.action.merchant_id.private_key)fb162c92c0d247669890641d26aed72e2bd28a77
ParameterType ValueDescriptionValue Like
STATUS requiredNumberStatus Code
Success - 200 Transaction is success
Transaction in Process - 211 Transaction in processing
Failed - 400 Transaction in failed
Dropped - 401 The transaction will not register properly
Cancel - 402 payment that has not yet been processed
Incomplete - 403 Not recieved any call back from bank
Bounced - 405 The transaction has bounced
No Records - 503 There is no records found
No records to display - 167 There is no records found
200,400
MESSAGE requiredStringStatus Message
Success - 200 Transaction is success
Transaction in Process - 211 Transaction in processing
Failed - 400 Transaction in failed
Dropped - 401 The transaction will not register properly
Cancel - 402 payment that has not yet been processed
Incomplete - 403 Not recieved any call back from bank
Bounced - 405 The transaction has bounced
No Records - 503 There is no records found
No records to display - 167 There is no records found
success,Failed
records requiredJsonData records, which contains
BANK_ID - Bank id
BANK_NAME - Bank name
ACCOUNT_NUMBER - Account number
IFSC_CODE - ifsc code
STATUS - status
Y - Yes
N - No
VERIFIED - Verified or not
Y - Yes
N - No
CREATED_ON - Created date
UPDATED_ON - Updated date
curl --location --request POST 'https://kraken.airpay.co.in/airpay/va/api/' \
--form 'action=banks' \
--form 'private_key=71a4efaf21c79864ec154babfc494f45fd1f65a570805084965d5b29486f1dfe' \
--form 'merchant_id=1' \
--form 'virtual_account_number=2293640000000010242' \
--form 'checksum=fb162c92c0d247669890641d26aed72e2bd28a77'
HTTP/1.1 200 OK
{
"STATUS": "200",
"MESSAGE": "Success",
"RECORDS": [{
"BANK_ID": "8",
"BANK_NAME": "SC",
"ACCOUNT_NUMBER": "6546797546469",
"IFSC_CODE": "SC544646464",
"STATUS": "Y",
"VERIFIED": "N",
"CREATED_ON": "14-01-2019 12:03:56",
"UPDATED_ON": "14-01-2019 12:03:56"
}]
}
HTTP/1.1 200 OK
{
"STATUS": "400",
"MESSAGE": "Failed"
}